---
triple:          'arm64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_aarch64_mac_Nightly/build/macosx-aarch64-server-release/support/test/hotspot/jtreg/native/lib/libap02t001.dylib'
relocations:
  - { offsetInCU: 0x52, offset: 0x52, size: 0x8, addend: 0x0, symName: _nsk_jvmti_waitForSync, symObjAddr: 0x3264, symBinAddr: 0x3ED8, symSize: 0x270 }
  - { offsetInCU: 0xAAE, offset: 0xAAE, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x4CD40, symBinAddr: 0xC208, symSize: 0x0 }
  - { offsetInCU: 0xAD5, offset: 0xAD5, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x4EC80, symBinAddr: 0xE148, symSize: 0x0 }
  - { offsetInCU: 0xAF7, offset: 0xAF7, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x4F068, symBinAddr: 0xE530, symSize: 0x0 }
  - { offsetInCU: 0xB19, offset: 0xB19, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x50008, symBinAddr: 0xF4D0, symSize: 0x0 }
  - { offsetInCU: 0xB2E, offset: 0xB2E, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x50010, symBinAddr: 0xF4D8, symSize: 0x0 }
  - { offsetInCU: 0xBBB, offset: 0xBBB, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x4C9B0, symBinAddr: 0xC0A0, symSize: 0x0 }
  - { offsetInCU: 0xBC6, offset: 0xBC6, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x4C9B4, symBinAddr: 0xC0A4, symSize: 0x0 }
  - { offsetInCU: 0xBD1, offset: 0xBD1, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x4C9B8, symBinAddr: 0xC0A8, symSize: 0x0 }
  - { offsetInCU: 0xC16, offset: 0xC16, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x4CB08, symBinAddr: 0xC0B8, symSize: 0x0 }
  - { offsetInCU: 0xC8F, offset: 0xC8F, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x4CBC0, symBinAddr: 0xC170, symSize: 0x0 }
  - { offsetInCU: 0xCAD, offset: 0xCAD, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x4CBC4, symBinAddr: 0xC174, symSize: 0x0 }
  - { offsetInCU: 0xCC6, offset: 0xCC6, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x4CBC8, symBinAddr: 0xC178, symSize: 0x0 }
  - { offsetInCU: 0xCDF, offset: 0xCDF, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x4CBCC, symBinAddr: 0xC17C, symSize: 0x0 }
  - { offsetInCU: 0xCF8, offset: 0xCF8, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x4CBD0, symBinAddr: 0xC180, symSize: 0x0 }
  - { offsetInCU: 0x92B9, offset: 0x92B9, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x4CBD8, symBinAddr: 0xC188, symSize: 0x0 }
  - { offsetInCU: 0x9342, offset: 0x9342, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x4CBE8, symBinAddr: 0xC198, symSize: 0x0 }
  - { offsetInCU: 0x935B, offset: 0x935B, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x4CBF0, symBinAddr: 0xC1A0, symSize: 0x0 }
  - { offsetInCU: 0x9374, offset: 0x9374, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x4CBF8, symBinAddr: 0xC1A8, symSize: 0x0 }
  - { offsetInCU: 0x938D, offset: 0x938D, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x4CC00, symBinAddr: 0xC1B0, symSize: 0x0 }
  - { offsetInCU: 0x93A6, offset: 0x93A6, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x4CC08, symBinAddr: 0xC1B8, symSize: 0x0 }
  - { offsetInCU: 0x93C0, offset: 0x93C0, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x4CC10, symBinAddr: 0xC1C0, symSize: 0x0 }
  - { offsetInCU: 0x94A6, offset: 0x94A6, size: 0x8, addend: 0x0, symName: __ZL9obj_count, symObjAddr: 0x4CC54, symBinAddr: 0xC1D4, symSize: 0x0 }
  - { offsetInCU: 0x94BF, offset: 0x94BF, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x4CC58, symBinAddr: 0xC1D8, symSize: 0x0 }
  - { offsetInCU: 0x94D8, offset: 0x94D8, size: 0x8, addend: 0x0, symName: __ZL4caps, symObjAddr: 0x4CC60, symBinAddr: 0xC1E0, symSize: 0x0 }
  - { offsetInCU: 0x94F1, offset: 0x94F1, size: 0x8, addend: 0x0, symName: __ZL11testedClass, symObjAddr: 0x4CCA8, symBinAddr: 0xC1F8, symSize: 0x0 }
  - { offsetInCU: 0x950A, offset: 0x950A, size: 0x8, addend: 0x0, symName: __ZL9user_data, symObjAddr: 0x4CCB0, symBinAddr: 0xC200, symSize: 0x0 }
  - { offsetInCU: 0x955C, offset: 0x955C, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x358, symBinAddr: 0x2E9C, symSize: 0xA0 }
  - { offsetInCU: 0x95F1, offset: 0x95F1, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x330, symBinAddr: 0x2E74, symSize: 0x28 }
  - { offsetInCU: 0x9654, offset: 0x9654, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x29C, symBinAddr: 0x2DF4, symSize: 0x80 }
  - { offsetInCU: 0x98E8, offset: 0x98E8, size: 0x8, addend: 0x0, symName: _nsk_complain, symObjAddr: 0x3F8, symBinAddr: 0x2F3C, symSize: 0x34 }
  - { offsetInCU: 0x9942, offset: 0x9942, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x42C, symBinAddr: 0x2F70, symSize: 0x20C }
  - { offsetInCU: 0x9AFB, offset: 0x9AFB, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x638, symBinAddr: 0x317C, symSize: 0x28 }
  - { offsetInCU: 0x9BC4, offset: 0x9BC4, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x674, symBinAddr: 0x31A4, symSize: 0xB0 }
  - { offsetInCU: 0x9CBB, offset: 0x9CBB, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0x7DC, symBinAddr: 0x3254, symSize: 0xD8 }
  - { offsetInCU: 0x9E0C, offset: 0x9E0C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x11F8, symBinAddr: 0x332C, symSize: 0x24 }
  - { offsetInCU: 0x9EB7, offset: 0x9EB7, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x16E4, symBinAddr: 0x3350, symSize: 0x168 }
  - { offsetInCU: 0xA093, offset: 0xA093, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x184C, symBinAddr: 0x34B8, symSize: 0x104 }
  - { offsetInCU: 0xA344, offset: 0xA344, size: 0x8, addend: 0x0, symName: _nsk_jvmti_parseOptions, symObjAddr: 0x1C2C, symBinAddr: 0x35BC, symSize: 0x3F8 }
  - { offsetInCU: 0xA568, offset: 0xA568, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x22EC, symBinAddr: 0x39B4, symSize: 0x154 }
  - { offsetInCU: 0xA74C, offset: 0xA74C, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2440, symBinAddr: 0x3B08, symSize: 0xAC }
  - { offsetInCU: 0xA821, offset: 0xA821, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x278C, symBinAddr: 0x3BB4, symSize: 0x14 }
  - { offsetInCU: 0xA85A, offset: 0xA85A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x27A0, symBinAddr: 0x3BC8, symSize: 0x14 }
  - { offsetInCU: 0xA893, offset: 0xA893, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x27B4, symBinAddr: 0x3BDC, symSize: 0x14 }
  - { offsetInCU: 0xAA10, offset: 0xAA10, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x2F18, symBinAddr: 0x3BF0, symSize: 0x1A8 }
  - { offsetInCU: 0xAD1A, offset: 0xAD1A, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x30C0, symBinAddr: 0x3D98, symSize: 0x140 }
  - { offsetInCU: 0xAEBB, offset: 0xAEBB, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resumeSync, symObjAddr: 0x34D4, symBinAddr: 0x4148, symSize: 0x1C0 }
  - { offsetInCU: 0xB198, offset: 0xB198, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3694, symBinAddr: 0x4308, symSize: 0x9C }
  - { offsetInCU: 0xB255, offset: 0xB255, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3730, symBinAddr: 0x43A4, symSize: 0x690 }
  - { offsetInCU: 0xBDE7, offset: 0xBDE7, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x936C, symBinAddr: 0x5B60, symSize: 0x30 }
  - { offsetInCU: 0xBE73, offset: 0xBE73, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x3DC0, symBinAddr: 0x4A34, symSize: 0x74 }
  - { offsetInCU: 0xBF67, offset: 0xBF67, size: 0x8, addend: 0x0, symName: _nsk_jvmti_classBySignature, symObjAddr: 0x3E34, symBinAddr: 0x4AA8, symSize: 0x384 }
  - { offsetInCU: 0xC3B6, offset: 0xC3B6, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x4AF0, symBinAddr: 0x4E2C, symSize: 0xB0 }
  - { offsetInCU: 0xC4B5, offset: 0xC4B5, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x576C, symBinAddr: 0x4EDC, symSize: 0x3C }
  - { offsetInCU: 0xC5AB, offset: 0xC5AB, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x57A8, symBinAddr: 0x4F18, symSize: 0x29C }
  - { offsetInCU: 0xC8EE, offset: 0xC8EE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x5A44, symBinAddr: 0x51B4, symSize: 0xD0 }
  - { offsetInCU: 0xCA1C, offset: 0xCA1C, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x5B14, symBinAddr: 0x5284, symSize: 0xC }
  - { offsetInCU: 0xCADE, offset: 0xCADE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x5B20, symBinAddr: 0x5290, symSize: 0x22C }
  - { offsetInCU: 0xCD99, offset: 0xCD99, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x54BC, symSize: 0x4 }
  - { offsetInCU: 0xCDDD, offset: 0xCDDD, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x8CC8, symBinAddr: 0x54BC, symSize: 0x4 }
  - { offsetInCU: 0xCDF6, offset: 0xCDF6, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x8CCC, symBinAddr: 0x54C0, symSize: 0x280 }
  - { offsetInCU: 0xD0B7, offset: 0xD0B7, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F4C, symBinAddr: 0x5740, symSize: 0x4 }
  - { offsetInCU: 0xD0FB, offset: 0xD0FB, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x8F4C, symBinAddr: 0x5740, symSize: 0x4 }
  - { offsetInCU: 0xD114, offset: 0xD114, size: 0x8, addend: 0x0, symName: _heapObjectCallback, symObjAddr: 0x8F50, symBinAddr: 0x5744, symSize: 0x20 }
  - { offsetInCU: 0xD15E, offset: 0xD15E, size: 0x8, addend: 0x0, symName: _stackReferenceCallback, symObjAddr: 0x8F70, symBinAddr: 0x5764, symSize: 0x20 }
  - { offsetInCU: 0xD209, offset: 0xD209, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_scenarios_allocation_AP02_ap02t001_throwException, symObjAddr: 0x8F90, symBinAddr: 0x5784, symSize: 0x80 }
  - { offsetInCU: 0xD2DE, offset: 0xD2DE, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x9010, symBinAddr: 0x5804, symSize: 0x35C }
  - { offsetInCU: 0xD6EC, offset: 0xD6EC, size: 0x8, addend: 0x0, symName: __ZL13runIterationsP9_jvmtiEnvP7_jclassi, symObjAddr: 0x96F4, symBinAddr: 0x5EE8, symSize: 0x368 }
  - { offsetInCU: 0xDA24, offset: 0xDA24, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x939C, symBinAddr: 0x5B90, symSize: 0x358 }
...
